evonet {ape} | R Documentation

## Evolutionary Networks

### Description

`evonet` builds a network from a tree of class `"phylo"`. There are `print` and `plot` methods as well as a few conversion functions.

### Usage

    evonet(phy, from, to = NULL)
    ## S3 method for class 'evonet'
    print(x, ...)
    ## S3 method for class 'evonet'
    plot(x, col = "blue", lty = 1, lwd = 1, alpha = 0.5,
                  arrows = 0, arrow.type = "classical", ...)
    ## S3 method for class 'evonet'
    as.phylo(x, ...)
    ## S3 method for class 'evonet'
    as.networx(x, weight = NA, ...)
    ## S3 method for class 'evonet'
    as.network(x, directed = TRUE, ...)
    ## S3 method for class 'evonet'
    as.igraph(x, directed = TRUE, use.labels = TRUE, ...)

### Arguments

`phy, x` | an object of class `"phylo"` or `"evonet"`.
`from` | a vector (or a matrix if `to = NULL`) giving the node or tip numbers involved in the reticulations.
`to` | a vector of the same length than `from`.
`col, lty, lwd` | colors, line type and width of the reticulations (recycled if necessary).
`alpha` | a value between 0 and 1 specifying the transparency of the reticulations.
`arrows` | see `fancyarrows`.
`arrow.type` | idem.
`weight` | a numeric vector giving the weights for the reticulations when converting to the class `"networx"` (recycled or shortened if needed).
`directed` | a logical: should the network be considered as directed? `TRUE` by default.
`use.labels` | a logical specifying whether to use the tip and node labels when building the network of class `"igraph"`.
`...` | arguments passed to other methods.

### Details

`evonet` is a constructor function that checks the arguments.

The classes `"networx"`, `"network"`, and `"igraph"` are defined in the packages phangorn, network, and igraph, respectively.

### Value

an object of class `c("evonet", "phylo")` which is made of an object of class `"phylo"` plus an element `reticulation` coding additional edges among nodes and uses the same coding rules than the `edge` matrix.

The conversion functions return an object of the appropriate class.

### Author(s)

Emmanuel Paradis

### See Also

`as.networx` in package phangorn

### Examples

    tr <- rcoal(5)
    (x <- evonet(tr, 6:7, 8:9))
    plot(x)

[Package ape version 3.5 Index]